﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Moq;

namespace Moq.Random.TestWpf
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public interface IViewModel
        {
            string Title { get; }
            IEnumerable<IItemViewModel> MyItems { get; }
        }

        public interface IItemViewModel
        {
            string StringValue { get; }
            int IntValue { get; }
            DateTime DateValue { get; }
        }

        static System.Random rnd = new System.Random();
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnRegenerateVM_Click(object sender, RoutedEventArgs e)
        {
            DataContext = rnd.NextMock<IViewModel>();
        }

    }
}
